Name:		perl-Boulder
Version: 	1.30
Release:	5.1
License: 	GPL
Group: 		Development/Libraries/Perl
Summary: 	Perl module Boulder
Summary(de):	Perlmodul Boulder
URL: 		http://search.cpan.org/~lds/
Source0: 	Boulder-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	glibc-devel libgcc gcc gcc-c++ perl-XML-Parser
%if 0%{?fedora_version} >= 7
BuildRequires: perl-ExtUtils-MakeMaker
%endif
%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
Provides:	perl(LabBase)
%endif

%description
Boulder provides a simple stream-oriented format for transmitting data
objects between one or more processes.  It does not provide for the
serialization of Perl objects the way FreezeThaw or Data::Dumper do,
but it does provide the advantage of being language independent.

In addition to a stream-oriented interface, Boulder comes with a
simple record-oriented database-oriented interface, Boulder::Store,
which provides query and search capabilities comparable to many flat
file DBMS systems.

%prep
%setup -q -n Boulder-%{version}
mv Boulder/Labbase.pm Boulder/LabBase.pm

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%__make DESTDIR=%{buildroot} install

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist



%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*

%files
%defattr(-,root,root)
%doc docs ChangeLog README
%dir %{perl_vendorlib}/Boulder
%{perl_vendorlib}/Boulder.pod
%{perl_vendorlib}/Boulder/Blast.pm
%dir %{perl_vendorlib}/Boulder/Blast
%{perl_vendorlib}/Boulder/Blast/NCBI.pm
%{perl_vendorlib}/Boulder/Blast/WU.pm
%{perl_vendorlib}/Boulder/Genbank.pm
%{perl_vendorlib}/Boulder/LabBase.pm
%{perl_vendorlib}/Boulder/LocusLink.pm
%{perl_vendorlib}/Boulder/Medline.pm
%{perl_vendorlib}/Boulder/Omim.pm
%{perl_vendorlib}/Boulder/Store.pm
%{perl_vendorlib}/Boulder/Stream.pm
%{perl_vendorlib}/Boulder/String.pm
%{perl_vendorlib}/Boulder/Swissprot.pm
%{perl_vendorlib}/Boulder/Unigene.pm
%{perl_vendorlib}/Boulder/XML.pm
%{perl_vendorlib}/Stone.pm
%dir %{perl_vendorlib}/Stone
%{perl_vendorlib}/Stone/Cursor.pm
%{perl_vendorlib}/Stone/GB_Sequence.pm
%{_mandir}/man3/Boulder.3pm.gz
%{_mandir}/man3/Boulder::Blast.3pm.gz
%{_mandir}/man3/Boulder::Blast::NCBI.3pm.gz
%{_mandir}/man3/Boulder::Blast::WU.3pm.gz
%{_mandir}/man3/Boulder::Genbank.3pm.gz
%{_mandir}/man3/Boulder::LocusLink.3pm.gz
%{_mandir}/man3/Boulder::Medline.3pm.gz
%{_mandir}/man3/Boulder::Omim.3pm.gz
%{_mandir}/man3/Boulder::Store.3pm.gz
%{_mandir}/man3/Boulder::Stream.3pm.gz
%{_mandir}/man3/Boulder::String.3pm.gz
%{_mandir}/man3/Boulder::Swissprot.3pm.gz
%{_mandir}/man3/Boulder::Unigene.3pm.gz
%{_mandir}/man3/Boulder::XML.3pm.gz
%{_mandir}/man3/Stone.3pm.gz
%{_mandir}/man3/Stone::Cursor.3pm.gz
%{_mandir}/man3/Stone::GB_Sequence.3pm.gz

%changelog
* Fri Feb 23 2007 Carsten Schoene <cs@linux-administrator.com> - 1.30-1
- initial build of Boulder perl package which is required for flowscan 
